Discussions

XML & Web services: TransformerException: stylesheet requires attribute: version

  1. Hi All

    Can somebody please tell why am I getting this error my XSL has

    <?xml version='1.0' encoding="UTF-8"?>
    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    as the first two lines...

    but why does Xalan 2.0 throw this exception:
    javax.xml.transform.TransformerException: stylesheet requires attribute: version at org.apache.xalan.processor.StylesheetHandler.error(StylesheetHandler.java:854)

    Any help would be appreciated.

    thanx


    -daya sharma
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Life is not what happens to you,
    But how you react to what happens to you.
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  2. the only problem i see is the single quotes you have used in the <?xml... header